EBN extra-cmake-modules transport cleanup
ClosedPublic

Authored by jhayes on Dec 4 2019, 10:21 PM.

Details

Summary

Change transport protocol from http to https

Diff Detail

Repository
R240 Extra CMake Modules
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jhayes created this revision.Dec 4 2019, 10:21 PM
Restricted Application added projects: Frameworks, Build System. · View Herald TranscriptDec 4 2019, 10:21 PM
Restricted Application added subscribers: kde-buildsystem, kde-frameworks-devel. · View Herald Transcript
jhayes requested review of this revision.Dec 4 2019, 10:21 PM
apol accepted this revision.Dec 5 2019, 12:15 AM
This revision is now accepted and ready to land.Dec 5 2019, 12:15 AM
cgiboudeaux requested changes to this revision.Dec 5 2019, 9:27 AM
cgiboudeaux added a subscriber: cgiboudeaux.
cgiboudeaux added inline comments.
docs/CMakeLists.txt
35 ↗(On Diff #70925)
  1. Please check
find-modules/FindCanberra.cmake
98 ↗(On Diff #70925)

redirects to http://http://0pointer.net/ which is probably wrong.

kde-modules/KDEInstallDirs.cmake
250 ↗(On Diff #70925)

expired certificate, I recommend keeping http

kde-modules/clang-format.cmake
29

This address is now redirected to https://webkit.org/code-style-guidelines/

This revision now requires changes to proceed.Dec 5 2019, 9:27 AM
cgiboudeaux added inline comments.Dec 5 2019, 9:28 AM
find-modules/FindCanberra.cmake
98 ↗(On Diff #70925)

redirects to http://0pointer.net/ which is probably wrong.

jhayes updated this revision to Diff 70958.Dec 5 2019, 2:50 PM
  • Corrections made per review comments.

Reverted some non-working URL's back to http and updated one URL to the correct address

The sphinx doc URL is https://www.sphinx-doc.org (it just doesn't work without www)

jhayes updated this revision to Diff 70973.Dec 5 2019, 6:15 PM
  • Corrected URL as review comments

Corrected url to http://www.sphinx-doc.org

cgiboudeaux accepted this revision.Dec 5 2019, 9:12 PM
This revision is now accepted and ready to land.Dec 5 2019, 9:12 PM
This revision was automatically updated to reflect the committed changes.
winterz added a subscriber: winterz.Dec 5 2019, 9:26 PM

please send me a list of urls that don't have https: and I'll add them to the whitelist

please send me a list of urls that don't have https: and I'll add them to the whitelist

The x86-64.org domain is dead. I'm not sure about what could be used instead.

jhayes added a comment.Dec 6 2019, 2:23 PM

The two links I know of are:
http://0pointer.de/lennart/projects/libcanberra (works as is in file but
wont work as https)
http://www.x86-64.org/documentation/abi.pdf (http://www.x86-64.org is dead)